﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class IconTweenerOnce : MonoBehaviour {
    public List<string> icon;
    public float idle;

    private float timer;
    private int index;
    private UISprite sprite;

    private void Awake()
    {
        sprite = GetComponent<UISprite>();
        timer = 0;
        index = 0;
        sprite.spriteName = icon[index];
    }

    private void Update()
    {
        timer += Time.deltaTime;
        if (timer > idle)
        {
            timer = 0;
            index = (index + 1) % icon.Count;
            if (index == 0)
            {
                Manager.instance.EndEnter(true);
                timer = 0;
                index = 0;
                sprite.spriteName = icon[index];
                gameObject.SetActive(false);
            }
            sprite.spriteName = icon[index];
        }
    }
}
