﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class EndWnd : MonoBehaviour {
    private Transform victoryWnd;
    private Transform loseWnd;
    private Transform vicBackBtn;
    private Transform losBackBtn;
    private Transform vicQuitBtn;
    private Transform losQuitBtn;
    [HideInInspector]
    public static EndWnd instance;
    public Transform endWnd;

    private void Awake()
    {
        victoryWnd = endWnd.Find("Victory");
        loseWnd = endWnd.Find("Lose");
        
        vicBackBtn = endWnd.Find("Victory/BackBtn");
        vicQuitBtn = endWnd.Find("Victory/QuitBtn");
        losBackBtn = endWnd.Find("Lose/BackBtn");
        losQuitBtn = endWnd.Find("Lose/QuitBtn");

        UIEventListener.Get(vicBackBtn.gameObject).onClick += OnBackBtnClick;
        UIEventListener.Get(vicQuitBtn.gameObject).onClick += OnQuitBtnClick;
        UIEventListener.Get(losBackBtn.gameObject).onClick += OnBackBtnClick;
        UIEventListener.Get(losQuitBtn.gameObject).onClick += OnQuitBtnClick;

        instance = this;
    }

    private void OnBackBtnClick(GameObject obj)
    {
        Manager.instance.OnReturnEnter();
    }

    private void OnQuitBtnClick(GameObject obj)
    {
        Application.Quit();
    }

    public void Show(bool victory)
    {
        victoryWnd.gameObject.SetActive(victory);
        loseWnd.gameObject.SetActive(!victory);
    }
}
