﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class IconTweener : MonoBehaviour {
    public List<string> icon;
    public float idle;

    private float timer;
    private int index;
    private UISprite sprite;

    private void Awake()
    {
        sprite = GetComponent<UISprite>();
    }

    private void Update()
    {
        if(PlayerController.STATE.IDLE == PlayerController.instance.state)
        {
            if (timer > 0)
            {
                timer = 0;
                index = 0;
                sprite.spriteName = icon[0];
            }
        }
        else if (PlayerController.STATE.MOVE == PlayerController.instance.state)
        {
            timer += Time.deltaTime;
            if (timer > idle)
            {
                timer = 0;
                index = (index + 1) % icon.Count;
                sprite.spriteName = icon[index];
            }
        }
    }
}
