﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class MapWnd : MonoBehaviour {
    private Transform map;
    public Transform mapWnd;
    public Dictionary<string, Transform> cityTfMap;
    public static MapWnd instance;
    public UILabel price;
    void Awake()
    {
        cityTfMap = new Dictionary<string, Transform>();
        //map = mapWnd.transform.Find("Map");
        map = mapWnd.transform.Find("Map");
        Transform city;
        for (int i = 0; i < map.childCount; ++i)
        {
            city = map.GetChild(i);
            cityTfMap.Add(city.name, city);
            UIEventListener.Get(city.gameObject).onClick += OnCityClick;
            UIEventListener.Get(city.gameObject).onHover += OnCityHover;
        }
        //BindEvent();
        instance = this;
    }
    void BindEvent()
    {
        Transform trans = mapWnd.transform.Find("Player").Find("Info").Find("BgSprite").Find("CheckReward");
        Transform trans1 = mapWnd.transform.Find("Player").Find("Info").Find("BgSprite1").Find("CheckReward");
        UIEventListener.Get(trans.gameObject).onClick += OnOverClick;
        UIEventListener.Get(trans1.gameObject).onClick += OnOverClick1;
    }

    void OnOverClick(GameObject _obj)
    {
        mapWnd.transform.Find("Player").Find("Info").Find("BgSprite").gameObject.SetActive(false);
        InitManager();
    }

    void OnOverClick1(GameObject _obj)
    {
        mapWnd.transform.Find("Player").Find("Info").Find("BgSprite1").gameObject.SetActive(false);
        InitManager();
    }

    void InitManager()
    {
        Manager.instance.cam.SetActive(true);
        Manager.instance.OnReturnEnter();
    }

    void OnCityClick(GameObject _obj)
    {
        Debug.Log(_obj.name);
        PlayerController.instance.Move(_obj.transform);
    }

    void OnCityHover(GameObject go, bool state)
    {
        Transform tf = go.transform.Find("Price");
        if (state)
        {
            if (!Manager.instance.cityMap[go.name].adjs.ContainsKey(PlayerController.instance.target.name))
                return;
            UILabel label = tf.GetComponent<UILabel>();
            label.text = string.Format("{0}元", Manager.instance.cityMap[go.name].adjs[PlayerController.instance.target.name].price);
            tf.gameObject.SetActive(true);
        }
        else
        {
            tf.gameObject.SetActive(false);
        }
    }

    public void RefreshCityInfo(string id)
    {
        foreach(KeyValuePair<string, Transform> pair in cityTfMap)
        {
            SetEnable(pair.Value, false);
        }
        SetEnable(cityTfMap[id], true);
        foreach(KeyValuePair<string, Edge> pair in Manager.instance.cityMap[id].adjs)
        {
            if (PlayerController.instance.path.Contains(pair.Key))
                continue;
            SetEnable(cityTfMap[pair.Key], true);
        }
    }
    void SetEnable(Transform tf, bool flag)
    {
        UISprite sprite = tf.GetComponent<UISprite>();
        Color color = new Color(0.2f, 0.2f, 0.2f, 1.0f);
        if (flag)
        { 
            color = new Color(1.0f, 1.0f, 1.0f, 1.0f);
        }
        sprite.color = color;
        tf.GetComponent<BoxCollider>().enabled = flag;
    }
    //public void OpenAllCollider()
    //{
    //    foreach (KeyValuePair<string, Transform> pair in cityTfMap)
    //    {
    //        pair.Value.GetComponent<BoxCollider>().enabled = true;
    //    }
    //}

}
