﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SettingWnd : MonoBehaviour {
    public GameObject m_CityPrefab;
    public UIScrollView m_ScrollView;
    public UIGrid m_UIGrid;
    public GameObject CityID;

    private string hometown;
    private Color gray = new Color(0.2f, 0.2f, 0.2f);

    private void Awake()
    {
        SpawnCityItem();
        hometown = "1001";
        UIEventListener.Get(transform.Find("Button").gameObject).onClick += OnStartClick;
    }

    void SpawnCityItem()
    {
        hometown = "1001";
        foreach (KeyValuePair<string, City> kvp in Manager.instance.cityMap)
        {
            GameObject obj = Instantiate(m_CityPrefab);
            obj.transform.parent = m_UIGrid.transform;
            obj.name = kvp.Value.id;
            UISprite sprite = obj.transform.GetComponent<UISprite>();
            sprite.spriteName = kvp.Value.id.ToString();
            if (!kvp.Value.id.Equals(hometown))
            {
                sprite.color = gray;
            }
            obj.transform.Find("Label").GetComponent<UILabel>().text = kvp.Value.name;
            obj.transform.localPosition = Vector3.zero;
            obj.transform.localScale = Vector3.one;
            UIEventListener.Get(obj).onClick += OnCityClick;
        }

        for (int i = 1; i <= Manager.instance.cityMap.Count; i++)
        {
            
        }
        m_UIGrid.GetComponent<UIGrid>().repositionNow = true;
    }


    void OnCityClick(GameObject obj)
    {
        if (obj.name.Equals(hometown))
        {
            return;
        }
        Transform tf = m_UIGrid.transform.Find(hometown);
        tf.GetComponent<UISprite>().color = gray;
        hometown = obj.name;
        tf = m_UIGrid.transform.Find(hometown);
        tf.GetComponent<UISprite>().color = Color.white;
        //SetPlayerPosition
    }

    void OnStartClick(GameObject obj)
    {
        PlayerController.instance.hometown = hometown;
        Manager.instance.MapEnter();
    }
}
